import os

# Display settings
DISPTYPE = 'psychopy'
DISPSIZE = (1920, 1080)

# Eye-tracking settings
DUMMYMODE = False
TRACKERTYPE = 'eyetribe'

# Find the directory of this file.
DIR = os.path.dirname(\
    os.path.abspath(__file__))

# Construct the image directory.
IMGDIR = os.path.join(DIR, 'images')

# Check if the image directory exists.
if not os.path.isdir(IMGDIR):
    # Throw an exception to let the 
    # user know the images are missing.
    raise Exception("ERROR: Could not find image directory!")

# Get a list of all image names.
IMGNAMES = os.listdir(IMGDIR)

# Construct the path to the data 
# directory.
DATADIR = os.path.join(DIR, 'data')

# Check if the data directory exists.
if not os.path.isdir(DATADIR):
    # Create a new directory.
    os.mkdir(DATADIR)

# Ask for the log file's name.
LOGFILENAME = \
    raw_input("What is the file name? ")

# Construct the path to the log file.
LOGFILE = os.path.join(DATADIR, \
    LOGFILENAME)
